Index: trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 6803)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 6827)
@@ -60,5 +60,5 @@
       if (openFileDialog.ShowDialog() == DialogResult.OK) {
         foreach (string filename in openFileDialog.FileNames) {
-          ((OptimizerMainForm)MainFormManager.MainForm).SetAppStartingCursor();
+          ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).SetAppStartingCursor();
           ContentManager.LoadAsync(filename, LoadingCompleted);
         }
@@ -76,5 +76,5 @@
       }
       finally {
-        ((OptimizerMainForm)MainFormManager.MainForm).ResetAppStartingCursor();
+        ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).ResetAppStartingCursor();
       }
     }
@@ -92,5 +92,5 @@
           SaveAs(view);
         else {
-          ((OptimizerMainForm)MainFormManager.MainForm).SetAppStartingCursor();
+          ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).SetAppStartingCursor();
           SetEnabledStateOfContentViews(content, false);
           ContentManager.SaveAsync(content, content.Filename, true, SavingCompleted);
@@ -117,5 +117,5 @@
 
         if (saveFileDialog.ShowDialog() == DialogResult.OK) {
-          ((OptimizerMainForm)MainFormManager.MainForm).SetAppStartingCursor();
+          ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).SetAppStartingCursor();
           SetEnabledStateOfContentViews(content, false);
           if (saveFileDialog.FilterIndex == 1) {
@@ -131,5 +131,5 @@
         SetEnabledStateOfContentViews(content, true);
         if (error != null) throw error;
-        MainFormManager.GetMainForm<OptimizerMainForm>().UpdateTitle();
+        MainFormManager.GetMainForm<OptimizerDockingMainForm>().UpdateTitle();
       }
       catch (Exception ex) {
@@ -137,10 +137,10 @@
       }
       finally {
-        ((OptimizerMainForm)MainFormManager.MainForm).ResetAppStartingCursor();
+        ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).ResetAppStartingCursor();
       }
     }
 
     private static void SetEnabledStateOfContentViews(IStorableContent content, bool enabled) {
-      OptimizerMainForm mainForm = MainFormManager.GetMainForm<OptimizerMainForm>();
+      OptimizerDockingMainForm mainForm = MainFormManager.GetMainForm<OptimizerDockingMainForm>();
       if (mainForm.InvokeRequired)
         mainForm.Invoke((Action<IStorableContent, bool>)SetEnabledStateOfContentViews, content, enabled);
Index: trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 6803)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 6827)
@@ -117,5 +117,31 @@
     <EmbeddedResource Include="Documents\VNS_TSP.hl" />
     <EmbeddedResource Include="Documents\PSO_Schwefel.hl" />
+    <EmbeddedResource Include="MainFormTypeSelectionDialog.resx">
+      <DependentUpon>MainFormTypeSelectionDialog.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="OptimizerDockingMainForm.resx">
+      <DependentUpon>OptimizerDockingMainForm.cs</DependentUpon>
+    </EmbeddedResource>
     <None Include="HeuristicLabOptimizerPlugin.cs.frame" />
+    <Compile Include="OptimizerSingleDocumentMainForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="OptimizerSingleDocumentMainForm.Designer.cs">
+      <DependentUpon>OptimizerSingleDocumentMainForm.cs</DependentUpon>
+    </Compile>
+    <Compile Include="MainFormTypeSelectionDialog.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="MainFormTypeSelectionDialog.Designer.cs">
+      <DependentUpon>MainFormTypeSelectionDialog.cs</DependentUpon>
+    </Compile>
+    <Compile Include="MenuItems\ChangeMainFormTypeMenuItem.cs" />
+    <Compile Include="MenuItems\ChangeMainFormTypeSeperator.cs" />
+    <Compile Include="OptimizerMultipleDocumentMainForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="OptimizerMultipleDocumentMainForm.Designer.cs">
+      <DependentUpon>OptimizerMultipleDocumentMainForm.cs</DependentUpon>
+    </Compile>
     <Compile Include="CreateExperimentDialog.cs">
       <SubType>Form</SubType>
@@ -160,9 +186,9 @@
       <DependentUpon>NewItemDialog.cs</DependentUpon>
     </Compile>
-    <Compile Include="OptimizerMainForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="OptimizerMainForm.Designer.cs">
-      <DependentUpon>OptimizerMainForm.cs</DependentUpon>
+    <Compile Include="OptimizerDockingMainForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="OptimizerDockingMainForm.Designer.cs">
+      <DependentUpon>OptimizerDockingMainForm.cs</DependentUpon>
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerPlugin.cs.frame	(revision 6803)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerPlugin.cs.frame	(revision 6827)
@@ -21,4 +21,5 @@
 
 using System.Windows.Forms;
+using HeuristicLab.Optimizer.Properties;
 using HeuristicLab.PluginInfrastructure;
 
@@ -42,7 +43,20 @@
   internal class HeuristicLabOptimizerApplication : ApplicationBase {
     public override void Run() {
-      OptimizerMainForm mainForm = new OptimizerMainForm(typeof(IOptimizerUserInterfaceItemProvider));
-      mainForm.ShowContentInViewHost = true;
-      Application.Run(mainForm);
+     HeuristicLab.MainForm.WindowsForms.MainForm mainForm = null;
+
+      if (Settings.Default.MainFormType == OptimizerMainFormTypes.DockingMainForm) {
+        mainForm = new OptimizerDockingMainForm(typeof(IOptimizerUserInterfaceItemProvider));
+      } else if (Settings.Default.MainFormType == OptimizerMainFormTypes.MultipleDocumentMainForm) {
+        mainForm = new OptimizerMultipleDocumentMainForm(typeof(IOptimizerUserInterfaceItemProvider));
+      } else if (Settings.Default.MainFormType == OptimizerMainFormTypes.SingleDocumentMainForm) {
+        mainForm = new OptimizerSingleDocumentMainForm(typeof(IOptimizerUserInterfaceItemProvider));
+      }
+
+      if (mainForm != null) {
+        mainForm.ShowContentInViewHost = true;
+        Application.Run(mainForm);
+      } else {
+        MessageBox.Show("Error loading setting for the MainForm Type. Please check your configuration file!", "HeuristicLab", MessageBoxButtons.OK, MessageBoxIcon.Error);
+      }
     }
   }
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.Designer.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.Designer.cs	(revision 6827)
@@ -0,0 +1,159 @@
+﻿namespace HeuristicLab.Optimizer {
+  partial class MainFormTypeSelectionDialog {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.cancelButton = new System.Windows.Forms.Button();
+      this.okButton = new System.Windows.Forms.Button();
+      this.groupBox = new System.Windows.Forms.GroupBox();
+      this.rbSingleDocumentMainForm = new System.Windows.Forms.RadioButton();
+      this.rbMultipleDocumentMainForm = new System.Windows.Forms.RadioButton();
+      this.rbDockingMainForm = new System.Windows.Forms.RadioButton();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.labelRestart = new System.Windows.Forms.Label();
+      this.groupBox.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // cancelButton
+      // 
+      this.cancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
+      this.cancelButton.Location = new System.Drawing.Point(173, 167);
+      this.cancelButton.Name = "cancelButton";
+      this.cancelButton.Size = new System.Drawing.Size(75, 23);
+      this.cancelButton.TabIndex = 9;
+      this.cancelButton.Text = "&Cancel";
+      this.cancelButton.UseVisualStyleBackColor = true;
+      // 
+      // okButton
+      // 
+      this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
+      this.okButton.Location = new System.Drawing.Point(92, 167);
+      this.okButton.Name = "okButton";
+      this.okButton.Size = new System.Drawing.Size(75, 23);
+      this.okButton.TabIndex = 8;
+      this.okButton.Text = "&OK";
+      this.okButton.UseVisualStyleBackColor = true;
+      this.okButton.Click += new System.EventHandler(this.okButton_Click);
+      // 
+      // groupBox
+      // 
+      this.groupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBox.Controls.Add(this.rbSingleDocumentMainForm);
+      this.groupBox.Controls.Add(this.rbMultipleDocumentMainForm);
+      this.groupBox.Controls.Add(this.rbDockingMainForm);
+      this.groupBox.Location = new System.Drawing.Point(12, 12);
+      this.groupBox.Name = "groupBox";
+      this.groupBox.Size = new System.Drawing.Size(234, 93);
+      this.groupBox.TabIndex = 10;
+      this.groupBox.TabStop = false;
+      this.groupBox.Text = "MainForm Types";
+      // 
+      // rbSingleDocumentMainForm
+      // 
+      this.rbSingleDocumentMainForm.AutoSize = true;
+      this.rbSingleDocumentMainForm.Location = new System.Drawing.Point(6, 65);
+      this.rbSingleDocumentMainForm.Name = "rbSingleDocumentMainForm";
+      this.rbSingleDocumentMainForm.Size = new System.Drawing.Size(106, 17);
+      this.rbSingleDocumentMainForm.TabIndex = 2;
+      this.rbSingleDocumentMainForm.TabStop = true;
+      this.rbSingleDocumentMainForm.Text = "Single Document";
+      this.toolTip.SetToolTip(this.rbSingleDocumentMainForm, "Creates for each open document an own window");
+      this.rbSingleDocumentMainForm.UseVisualStyleBackColor = true;
+      // 
+      // rbMultipleDocumentMainForm
+      // 
+      this.rbMultipleDocumentMainForm.AutoSize = true;
+      this.rbMultipleDocumentMainForm.Location = new System.Drawing.Point(6, 42);
+      this.rbMultipleDocumentMainForm.Name = "rbMultipleDocumentMainForm";
+      this.rbMultipleDocumentMainForm.Size = new System.Drawing.Size(113, 17);
+      this.rbMultipleDocumentMainForm.TabIndex = 1;
+      this.rbMultipleDocumentMainForm.TabStop = true;
+      this.rbMultipleDocumentMainForm.Text = "Multiple Document";
+      this.toolTip.SetToolTip(this.rbMultipleDocumentMainForm, "Shows for each open document an own, nested window");
+      this.rbMultipleDocumentMainForm.UseVisualStyleBackColor = true;
+      // 
+      // rbDockingMainForm
+      // 
+      this.rbDockingMainForm.AutoSize = true;
+      this.rbDockingMainForm.Location = new System.Drawing.Point(6, 19);
+      this.rbDockingMainForm.Name = "rbDockingMainForm";
+      this.rbDockingMainForm.Size = new System.Drawing.Size(65, 17);
+      this.rbDockingMainForm.TabIndex = 0;
+      this.rbDockingMainForm.TabStop = true;
+      this.rbDockingMainForm.Text = "Docking";
+      this.toolTip.SetToolTip(this.rbDockingMainForm, "Displays open documents as tab pages. \r\nIf you have resizing issues in the user i" +
+              "nterface, please try the other options.");
+      this.rbDockingMainForm.UseVisualStyleBackColor = true;
+      // 
+      // labelRestart
+      // 
+      this.labelRestart.AutoSize = true;
+      this.labelRestart.Location = new System.Drawing.Point(9, 123);
+      this.labelRestart.Name = "labelRestart";
+      this.labelRestart.Size = new System.Drawing.Size(199, 26);
+      this.labelRestart.TabIndex = 11;
+      this.labelRestart.Text = "Please note that you have to restart the \r\nOptimizer for the changes to take effe" +
+          "ct. ";
+      // 
+      // MainFormTypeSelectionDialog
+      // 
+      this.AcceptButton = this.okButton;
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.CancelButton = this.cancelButton;
+      this.ClientSize = new System.Drawing.Size(260, 202);
+      this.Controls.Add(this.labelRestart);
+      this.Controls.Add(this.groupBox);
+      this.Controls.Add(this.cancelButton);
+      this.Controls.Add(this.okButton);
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "MainFormTypeSelectionDialog";
+      this.ShowIcon = false;
+      this.ShowInTaskbar = false;
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+      this.Text = "Change MainForm Type";
+      this.Load += new System.EventHandler(this.MainFormTypeSelectionDialog_Load);
+      this.groupBox.ResumeLayout(false);
+      this.groupBox.PerformLayout();
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Button cancelButton;
+    private System.Windows.Forms.Button okButton;
+    private System.Windows.Forms.GroupBox groupBox;
+    private System.Windows.Forms.RadioButton rbMultipleDocumentMainForm;
+    private System.Windows.Forms.RadioButton rbDockingMainForm;
+    private System.Windows.Forms.ToolTip toolTip;
+    private System.Windows.Forms.RadioButton rbSingleDocumentMainForm;
+    private System.Windows.Forms.Label labelRestart;
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.cs	(revision 6827)
@@ -0,0 +1,59 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.Optimizer.Properties;
+
+namespace HeuristicLab.Optimizer {
+  public enum OptimizerMainFormTypes {
+    DockingMainForm,
+    MultipleDocumentMainForm,
+    SingleDocumentMainForm
+  }
+
+  public partial class MainFormTypeSelectionDialog : Form {
+    public MainFormTypeSelectionDialog() {
+      InitializeComponent();
+    }
+
+    private void okButton_Click(object sender, EventArgs e) {
+      if (rbDockingMainForm.Checked) {
+        Settings.Default.MainFormType = OptimizerMainFormTypes.DockingMainForm;
+      } else if (rbMultipleDocumentMainForm.Checked) {
+        Settings.Default.MainFormType = OptimizerMainFormTypes.MultipleDocumentMainForm;
+      } else if (rbSingleDocumentMainForm.Checked) {
+        Settings.Default.MainFormType = OptimizerMainFormTypes.SingleDocumentMainForm;
+      }
+      Settings.Default.Save();
+    }
+
+    private void MainFormTypeSelectionDialog_Load(object sender, EventArgs e) {
+      if (Settings.Default.MainFormType == OptimizerMainFormTypes.DockingMainForm) {
+        rbDockingMainForm.Checked = true;
+      } else if (Settings.Default.MainFormType == OptimizerMainFormTypes.MultipleDocumentMainForm) {
+        rbMultipleDocumentMainForm.Checked = true;
+      } else if (Settings.Default.MainFormType == OptimizerMainFormTypes.SingleDocumentMainForm) {
+        rbSingleDocumentMainForm.Checked = true;
+      }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.resx
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.resx	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MainFormTypeSelectionDialog.resx	(revision 6827)
@@ -0,0 +1,126 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+</root>
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeMenuItem.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeMenuItem.cs	(revision 6827)
@@ -0,0 +1,47 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  internal class ChangeMainFormTypeMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "Change MainForm Type..."; }
+    }
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&View" }; }
+    }
+    public override int Position {
+      get { return 3500; }
+    }
+    public override string ToolTipText {
+      get { return "Change the MainForm type of the HeuristicLab Optimizer"; }
+    }
+
+    public override void Execute() {
+      using (MainFormTypeSelectionDialog dialog = new MainFormTypeSelectionDialog()) {
+        dialog.ShowDialog((IWin32Window)MainFormManager.MainForm);
+      }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeSeperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeSeperator.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ChangeMainFormTypeSeperator.cs	(revision 6827)
@@ -0,0 +1,35 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  internal class ChangeMainFormTypeSeperator : MenuSeparatorItem, IOptimizerUserInterfaceItemProvider {
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&View" }; }
+    }
+
+    public override int Position {
+      get { return 3400; }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs	(revision 6803)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/ClipboardMenuItem.cs	(revision 6827)
@@ -68,9 +68,19 @@
 
     public override void Execute() {
-      IView clipboard = ((OptimizerMainForm)MainFormManager.MainForm).Clipboard;
-      if (clipboard.IsShown) {
-        clipboard.Hide();
-      } else {
-        clipboard.Show();
+      IView clipboard = null;
+      if (MainFormManager.MainForm is OptimizerDockingMainForm) {
+        clipboard = ((OptimizerDockingMainForm)MainFormManager.MainForm).Clipboard;
+      } else if (MainFormManager.MainForm is OptimizerMultipleDocumentMainForm) {
+        clipboard = ((OptimizerMultipleDocumentMainForm)MainFormManager.MainForm).Clipboard;
+      } else if (MainFormManager.MainForm is OptimizerSingleDocumentMainForm) {
+        clipboard = ((OptimizerSingleDocumentMainForm)MainFormManager.MainForm).Clipboard;
+      }
+
+      if (clipboard != null) {
+        if (clipboard.IsShown) {
+          clipboard.Hide();
+        } else {
+          clipboard.Show();
+        }
       }
     }
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs	(revision 6803)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/CopyToClipboardMenuItem.cs	(revision 6827)
@@ -51,9 +51,20 @@
 
     public override void Execute() {
+      Clipboard<IItem> clipboard = null;
       IContentView activeView = MainFormManager.MainForm.ActiveView as IContentView;
+
       if ((activeView != null) && (activeView.Content != null) && (activeView.Content is IItem) && !activeView.Locked) {
-        Clipboard<IItem> clipboard = ((OptimizerMainForm)MainFormManager.MainForm).Clipboard;
-        IItem content = (IItem)activeView.Content;
-        clipboard.AddItem((IItem)content.Clone());
+        if (MainFormManager.MainForm is OptimizerDockingMainForm) {
+          clipboard = ((OptimizerDockingMainForm)MainFormManager.MainForm).Clipboard;
+        } else if (MainFormManager.MainForm is OptimizerMultipleDocumentMainForm) {
+          clipboard = ((OptimizerMultipleDocumentMainForm)MainFormManager.MainForm).Clipboard;
+        } else if (MainFormManager.MainForm is OptimizerSingleDocumentMainForm) {
+          clipboard = ((OptimizerSingleDocumentMainForm)MainFormManager.MainForm).Clipboard;
+        }
+
+        if (clipboard != null) {
+          IItem content = (IItem)activeView.Content;
+          clipboard.AddItem((IItem)content.Clone());
+        }
       }
     }
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.Designer.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.Designer.cs	(revision 6827)
@@ -0,0 +1,65 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Optimizer {
+  partial class OptimizerDockingMainForm {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.SuspendLayout();
+      // 
+      // OptimizerMainForm
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(984, 714);
+      this.Name = "OptimizerMainForm";
+      this.Text = "HeuristicLab Optimizer";
+      this.Title = "HeuristicLab Optimizer";
+      this.Icon = HeuristicLab.Common.Resources.HeuristicLab.Icon;
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.cs	(revision 6827)
@@ -0,0 +1,120 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.ComponentModel;
+using System.Linq;
+using System.Reflection;
+using System.Windows.Forms;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer {
+  internal partial class OptimizerDockingMainForm : DockingMainForm {
+    private string title;
+
+    private Clipboard<IItem> clipboard;
+    public Clipboard<IItem> Clipboard {
+      get { return clipboard; }
+    }
+
+    public OptimizerDockingMainForm()
+      : base() {
+      InitializeComponent();
+    }
+    public OptimizerDockingMainForm(Type userInterfaceItemType)
+      : base(userInterfaceItemType) {
+      InitializeComponent();
+    }
+    public OptimizerDockingMainForm(Type userInterfaceItemType, bool showContentInViewHost)
+      : this(userInterfaceItemType) {
+      this.ShowContentInViewHost = showContentInViewHost;
+    }
+
+    protected override void OnInitialized(EventArgs e) {
+      base.OnInitialized(e);
+      AssemblyFileVersionAttribute version = Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).
+                                             Cast<AssemblyFileVersionAttribute>().FirstOrDefault();
+      title = "HeuristicLab Optimizer";
+      if (version != null) title += " " + version.Version;
+      Title = title;
+
+      ContentManager.Initialize(new PersistenceContentManager());
+
+      clipboard = new Clipboard<IItem>();
+      clipboard.Dock = DockStyle.Left;
+      clipboard.Collapsed = Properties.Settings.Default.CollapseClipboard;
+      if (Properties.Settings.Default.ShowClipboard) {
+        clipboard.Show();
+      }
+      if (Properties.Settings.Default.ShowOperatorsSidebar) {
+        OperatorsSidebar operatorsSidebar = new OperatorsSidebar();
+        operatorsSidebar.Dock = DockStyle.Left;
+        operatorsSidebar.Show();
+        operatorsSidebar.Collapsed = Properties.Settings.Default.CollapseOperatorsSidebar;
+      }
+      if (Properties.Settings.Default.ShowStartPage) {
+        StartPage startPage = new StartPage();
+        startPage.Show();
+      }
+
+      WindowState = Properties.Settings.Default.ShowMaximized ? FormWindowState.Maximized : FormWindowState.Normal;
+    }
+
+    protected override void OnClosing(CancelEventArgs e) {
+      base.OnClosing(e);
+      if (MainFormManager.MainForm.Views.OfType<IContentView>().FirstOrDefault() != null) {
+        if (MessageBox.Show(this, "Some views are still opened. If their content has not been saved, it will be lost after closing. Do you really want to close HeuristicLab Optimizer?", "Close Optimizer", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == DialogResult.No)
+          e.Cancel = true;
+      }
+    }
+    protected override void OnClosed(EventArgs e) {
+      base.OnClosed(e);
+      Properties.Settings.Default.ShowMaximized = WindowState == FormWindowState.Maximized;
+      Properties.Settings.Default.CollapseClipboard = clipboard.Collapsed;
+      OperatorsSidebar operatorsSidebar = MainFormManager.MainForm.Views.OfType<OperatorsSidebar>().FirstOrDefault();
+      if (operatorsSidebar != null) Properties.Settings.Default.CollapseOperatorsSidebar = operatorsSidebar.Collapsed;
+      Properties.Settings.Default.Save();
+    }
+
+    protected override void OnActiveViewChanged() {
+      base.OnActiveViewChanged();
+      UpdateTitle();
+    }
+
+    public void UpdateTitle() {
+      if (InvokeRequired)
+        Invoke(new Action(UpdateTitle));
+      else {
+        IContentView activeView = ActiveView as IContentView;
+        if ((activeView != null) && (activeView.Content != null) && (activeView.Content is IStorableContent)) {
+          IStorableContent content = (IStorableContent)activeView.Content;
+          Title = title + " [" + (string.IsNullOrEmpty(content.Filename) ? "Unsaved" : content.Filename) + "]";
+        } else {
+          Title = title;
+        }
+      }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.resx
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.resx	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerDockingMainForm.resx	(revision 6827)
@@ -0,0 +1,120 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.Designer.cs	(revision 6803)
+++ 	(revision )
@@ -1,65 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Optimizer {
-  partial class OptimizerMainForm {
-    /// <summary>
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary>
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Windows Form Designer generated code
-
-    /// <summary>
-    /// Required method for Designer support - do not modify
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.SuspendLayout();
-      // 
-      // OptimizerMainForm
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(984, 714);
-      this.Name = "OptimizerMainForm";
-      this.Text = "HeuristicLab Optimizer";
-      this.Title = "HeuristicLab Optimizer";
-      this.Icon = HeuristicLab.Common.Resources.HeuristicLab.Icon;
-      this.ResumeLayout(false);
-      this.PerformLayout();
-
-    }
-
-    #endregion
-  }
-}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.cs	(revision 6803)
+++ 	(revision )
@@ -1,166 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.ComponentModel;
-using System.Linq;
-using System.Reflection;
-using System.Windows.Forms;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
-using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
-
-namespace HeuristicLab.Optimizer {
-  internal partial class OptimizerMainForm : DockingMainForm {
-    private string title;
-    private int appStartingCursors;
-    private int waitingCursors;
-
-    private Clipboard<IItem> clipboard;
-    public Clipboard<IItem> Clipboard {
-      get { return clipboard; }
-    }
-
-    public OptimizerMainForm()
-      : base() {
-      InitializeComponent();
-      appStartingCursors = 0;
-      waitingCursors = 0;
-    }
-    public OptimizerMainForm(Type userInterfaceItemType)
-      : base(userInterfaceItemType) {
-      InitializeComponent();
-      appStartingCursors = 0;
-      waitingCursors = 0;
-    }
-    public OptimizerMainForm(Type userInterfaceItemType, bool showContentInViewHost)
-      : this(userInterfaceItemType) {
-      this.ShowContentInViewHost = showContentInViewHost;
-    }
-
-    protected override void OnInitialized(EventArgs e) {
-      base.OnInitialized(e);
-      AssemblyFileVersionAttribute version = Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).
-                                             Cast<AssemblyFileVersionAttribute>().FirstOrDefault();
-      title = "HeuristicLab Optimizer";
-      if (version != null) title += " " + version.Version;
-      Title = title;
-
-      ContentManager.Initialize(new PersistenceContentManager());
-
-      clipboard = new Clipboard<IItem>();
-      clipboard.Dock = DockStyle.Left;
-      clipboard.Collapsed = Properties.Settings.Default.CollapseClipboard;
-      if (Properties.Settings.Default.ShowClipboard) {
-        clipboard.Show();
-      }
-      if (Properties.Settings.Default.ShowOperatorsSidebar) {
-        OperatorsSidebar operatorsSidebar = new OperatorsSidebar();
-        operatorsSidebar.Dock = DockStyle.Left;
-        operatorsSidebar.Show();
-        operatorsSidebar.Collapsed = Properties.Settings.Default.CollapseOperatorsSidebar;
-      }
-      if (Properties.Settings.Default.ShowStartPage) {
-        StartPage startPage = new StartPage();
-        startPage.Show();
-      }
-
-      WindowState = Properties.Settings.Default.ShowMaximized ? FormWindowState.Maximized : FormWindowState.Normal;
-    }
-
-    protected override void OnClosing(CancelEventArgs e) {
-      base.OnClosing(e);
-      if (MainFormManager.MainForm.Views.OfType<IContentView>().FirstOrDefault() != null) {
-        if (MessageBox.Show(this, "Some views are still opened. If their content has not been saved, it will be lost after closing. Do you really want to close HeuristicLab Optimizer?", "Close Optimizer", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == DialogResult.No)
-          e.Cancel = true;
-      }
-    }
-    protected override void OnClosed(EventArgs e) {
-      base.OnClosed(e);
-      Properties.Settings.Default.ShowMaximized = WindowState == FormWindowState.Maximized;
-      Properties.Settings.Default.CollapseClipboard = clipboard.Collapsed;
-      OperatorsSidebar operatorsSidebar = MainFormManager.MainForm.Views.OfType<OperatorsSidebar>().FirstOrDefault();
-      if (operatorsSidebar != null) Properties.Settings.Default.CollapseOperatorsSidebar = operatorsSidebar.Collapsed;
-      Properties.Settings.Default.Save();
-    }
-
-    protected override void OnActiveViewChanged() {
-      base.OnActiveViewChanged();
-      UpdateTitle();
-    }
-
-    public void UpdateTitle() {
-      if (InvokeRequired)
-        Invoke(new Action(UpdateTitle));
-      else {
-        IContentView activeView = ActiveView as IContentView;
-        if ((activeView != null) && (activeView.Content != null) && (activeView.Content is IStorableContent)) {
-          IStorableContent content = (IStorableContent)activeView.Content;
-          Title = title + " [" + (string.IsNullOrEmpty(content.Filename) ? "Unsaved" : content.Filename) + "]";
-        } else {
-          Title = title;
-        }
-      }
-    }
-
-    #region Cursor Handling
-    public void SetAppStartingCursor() {
-      if (InvokeRequired)
-        Invoke(new Action(SetAppStartingCursor));
-      else {
-        appStartingCursors++;
-        SetCursor();
-      }
-    }
-    public void ResetAppStartingCursor() {
-      if (InvokeRequired)
-        Invoke(new Action(ResetAppStartingCursor));
-      else {
-        appStartingCursors--;
-        SetCursor();
-      }
-    }
-    public void SetWaitCursor() {
-      if (InvokeRequired)
-        Invoke(new Action(SetWaitCursor));
-      else {
-        waitingCursors++;
-        SetCursor();
-      }
-    }
-    public void ResetWaitCursor() {
-      if (InvokeRequired)
-        Invoke(new Action(ResetWaitCursor));
-      else {
-        waitingCursors--;
-        SetCursor();
-      }
-    }
-    private void SetCursor() {
-      if (waitingCursors > 0) Cursor = Cursors.WaitCursor;
-      else if (appStartingCursors > 0) Cursor = Cursors.AppStarting;
-      else Cursor = Cursors.Default;
-    }
-    #endregion
-  }
-}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.Designer.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.Designer.cs	(revision 6827)
@@ -0,0 +1,65 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Optimizer {
+  partial class OptimizerMultipleDocumentMainForm {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.SuspendLayout();
+      // 
+      // OptimizerMainForm
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(984, 714);
+      this.Name = "OptimizerMainForm";
+      this.Text = "HeuristicLab Optimizer";
+      this.Title = "HeuristicLab Optimizer";
+      this.Icon = HeuristicLab.Common.Resources.HeuristicLab.Icon;
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMultipleDocumentMainForm.cs	(revision 6827)
@@ -0,0 +1,120 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.ComponentModel;
+using System.Linq;
+using System.Reflection;
+using System.Windows.Forms;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer {
+  internal partial class OptimizerMultipleDocumentMainForm : MultipleDocumentMainForm {
+    private string title;
+
+    private Clipboard<IItem> clipboard;
+    public Clipboard<IItem> Clipboard {
+      get { return clipboard; }
+    }
+
+    public OptimizerMultipleDocumentMainForm()
+      : base() {
+      InitializeComponent();
+    }
+    public OptimizerMultipleDocumentMainForm(Type userInterfaceItemType)
+      : base(userInterfaceItemType) {
+      InitializeComponent();
+    }
+    public OptimizerMultipleDocumentMainForm(Type userInterfaceItemType, bool showContentInViewHost)
+      : this(userInterfaceItemType) {
+      this.ShowContentInViewHost = showContentInViewHost;
+    }
+
+    protected override void OnInitialized(EventArgs e) {
+      base.OnInitialized(e);
+      AssemblyFileVersionAttribute version = Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).
+                                             Cast<AssemblyFileVersionAttribute>().FirstOrDefault();
+      title = "HeuristicLab Optimizer";
+      if (version != null) title += " " + version.Version;
+      Title = title;
+
+      ContentManager.Initialize(new PersistenceContentManager());
+
+      clipboard = new Clipboard<IItem>();
+      clipboard.Dock = DockStyle.Left;
+      clipboard.Collapsed = Properties.Settings.Default.CollapseClipboard;
+      if (Properties.Settings.Default.ShowClipboard) {
+        clipboard.Show();
+      }
+      if (Properties.Settings.Default.ShowOperatorsSidebar) {
+        OperatorsSidebar operatorsSidebar = new OperatorsSidebar();
+        operatorsSidebar.Dock = DockStyle.Left;
+        operatorsSidebar.Show();
+        operatorsSidebar.Collapsed = Properties.Settings.Default.CollapseOperatorsSidebar;
+      }
+      if (Properties.Settings.Default.ShowStartPage) {
+        StartPage startPage = new StartPage();
+        startPage.Show();
+      }
+
+      WindowState = Properties.Settings.Default.ShowMaximized ? FormWindowState.Maximized : FormWindowState.Normal;
+    }
+
+    protected override void OnClosing(CancelEventArgs e) {
+      base.OnClosing(e);
+      if (MainFormManager.MainForm.Views.OfType<IContentView>().FirstOrDefault() != null) {
+        if (MessageBox.Show(this, "Some views are still opened. If their content has not been saved, it will be lost after closing. Do you really want to close HeuristicLab Optimizer?", "Close Optimizer", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == DialogResult.No)
+          e.Cancel = true;
+      }
+    }
+    protected override void OnClosed(EventArgs e) {
+      base.OnClosed(e);
+      Properties.Settings.Default.ShowMaximized = WindowState == FormWindowState.Maximized;
+      Properties.Settings.Default.CollapseClipboard = clipboard.Collapsed;
+      OperatorsSidebar operatorsSidebar = MainFormManager.MainForm.Views.OfType<OperatorsSidebar>().FirstOrDefault();
+      if (operatorsSidebar != null) Properties.Settings.Default.CollapseOperatorsSidebar = operatorsSidebar.Collapsed;
+      Properties.Settings.Default.Save();
+    }
+
+    protected override void OnActiveViewChanged() {
+      base.OnActiveViewChanged();
+      UpdateTitle();
+    }
+
+    public void UpdateTitle() {
+      if (InvokeRequired)
+        Invoke(new Action(UpdateTitle));
+      else {
+        IContentView activeView = ActiveView as IContentView;
+        if ((activeView != null) && (activeView.Content != null) && (activeView.Content is IStorableContent)) {
+          IStorableContent content = (IStorableContent)activeView.Content;
+          Title = title + " [" + (string.IsNullOrEmpty(content.Filename) ? "Unsaved" : content.Filename) + "]";
+        } else {
+          Title = title;
+        }
+      }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.Designer.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.Designer.cs	(revision 6827)
@@ -0,0 +1,65 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Optimizer {
+  partial class OptimizerSingleDocumentMainForm {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.SuspendLayout();
+      // 
+      // OptimizerMainForm
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(984, 714);
+      this.Name = "OptimizerMainForm";
+      this.Text = "HeuristicLab Optimizer";
+      this.Title = "HeuristicLab Optimizer";
+      this.Icon = HeuristicLab.Common.Resources.HeuristicLab.Icon;
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.cs	(revision 6827)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerSingleDocumentMainForm.cs	(revision 6827)
@@ -0,0 +1,120 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.ComponentModel;
+using System.Linq;
+using System.Reflection;
+using System.Windows.Forms;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer {
+  internal partial class OptimizerSingleDocumentMainForm : SingleDocumentMainForm {
+    private string title;
+
+    private Clipboard<IItem> clipboard;
+    public Clipboard<IItem> Clipboard {
+      get { return clipboard; }
+    }
+
+    public OptimizerSingleDocumentMainForm()
+      : base() {
+      InitializeComponent();
+    }
+    public OptimizerSingleDocumentMainForm(Type userInterfaceItemType)
+      : base(userInterfaceItemType) {
+      InitializeComponent();
+    }
+    public OptimizerSingleDocumentMainForm(Type userInterfaceItemType, bool showContentInViewHost)
+      : this(userInterfaceItemType) {
+      this.ShowContentInViewHost = showContentInViewHost;
+    }
+
+    protected override void OnInitialized(EventArgs e) {
+      base.OnInitialized(e);
+      AssemblyFileVersionAttribute version = Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), true).
+                                             Cast<AssemblyFileVersionAttribute>().FirstOrDefault();
+      title = "HeuristicLab Optimizer";
+      if (version != null) title += " " + version.Version;
+      Title = title;
+
+      ContentManager.Initialize(new PersistenceContentManager());
+
+      clipboard = new Clipboard<IItem>();
+      clipboard.Dock = DockStyle.Left;
+      clipboard.Collapsed = Properties.Settings.Default.CollapseClipboard;
+      if (Properties.Settings.Default.ShowClipboard) {
+        clipboard.Show();
+      }
+      if (Properties.Settings.Default.ShowOperatorsSidebar) {
+        OperatorsSidebar operatorsSidebar = new OperatorsSidebar();
+        operatorsSidebar.Dock = DockStyle.Left;
+        operatorsSidebar.Show();
+        operatorsSidebar.Collapsed = Properties.Settings.Default.CollapseOperatorsSidebar;
+      }
+      if (Properties.Settings.Default.ShowStartPage) {
+        StartPage startPage = new StartPage();
+        startPage.Show();
+      }
+
+      WindowState = Properties.Settings.Default.ShowMaximized ? FormWindowState.Maximized : FormWindowState.Normal;
+    }
+
+    protected override void OnClosing(CancelEventArgs e) {
+      base.OnClosing(e);
+      if (MainFormManager.MainForm.Views.OfType<IContentView>().FirstOrDefault() != null) {
+        if (MessageBox.Show(this, "Some views are still opened. If their content has not been saved, it will be lost after closing. Do you really want to close HeuristicLab Optimizer?", "Close Optimizer", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) == DialogResult.No)
+          e.Cancel = true;
+      }
+    }
+    protected override void OnClosed(EventArgs e) {
+      base.OnClosed(e);
+      Properties.Settings.Default.ShowMaximized = WindowState == FormWindowState.Maximized;
+      Properties.Settings.Default.CollapseClipboard = clipboard.Collapsed;
+      OperatorsSidebar operatorsSidebar = MainFormManager.MainForm.Views.OfType<OperatorsSidebar>().FirstOrDefault();
+      if (operatorsSidebar != null) Properties.Settings.Default.CollapseOperatorsSidebar = operatorsSidebar.Collapsed;
+      Properties.Settings.Default.Save();
+    }
+
+    protected override void OnActiveViewChanged() {
+      base.OnActiveViewChanged();
+      UpdateTitle();
+    }
+
+    public void UpdateTitle() {
+      if (InvokeRequired)
+        Invoke(new Action(UpdateTitle));
+      else {
+        IContentView activeView = ActiveView as IContentView;
+        if ((activeView != null) && (activeView.Content != null) && (activeView.Content is IStorableContent)) {
+          IStorableContent content = (IStorableContent)activeView.Content;
+          Title = title + " [" + (string.IsNullOrEmpty(content.Filename) ? "Unsaved" : content.Filename) + "]";
+        } else {
+          Title = title;
+        }
+      }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.Designer.cs	(revision 6803)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.Designer.cs	(revision 6827)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.1
+//     Runtime Version:4.0.30319.237
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -95,4 +95,16 @@
             }
         }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("DockingMainForm")]
+        public global::HeuristicLab.Optimizer.OptimizerMainFormTypes MainFormType {
+            get {
+                return ((global::HeuristicLab.Optimizer.OptimizerMainFormTypes)(this["MainFormType"]));
+            }
+            set {
+                this["MainFormType"] = value;
+            }
+        }
     }
 }
Index: trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.settings
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.settings	(revision 6803)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.settings	(revision 6827)
@@ -21,4 +21,7 @@
       <Value Profile="(Default)">False</Value>
     </Setting>
+    <Setting Name="MainFormType" Type="HeuristicLab.Optimizer.OptimizerMainFormTypes" Scope="User">
+      <Value Profile="(Default)">DockingMainForm</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: trunk/sources/HeuristicLab.Optimizer/3.3/app.config
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/app.config	(revision 6803)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/app.config	(revision 6827)
@@ -26,4 +26,7 @@
                 <value>False</value>
             </setting>
+            <setting name="MainFormType" serializeAs="String">
+                <value>DockingMainForm</value>
+            </setting>
         </HeuristicLab.Optimizer.Properties.Settings>
     </userSettings>
